ListShuttleRenderer (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.html.ListShuttleRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ListShuttleRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractRowsRenderer
                      org.richfaces.renderkit.OrderingComponentRendererBase
                          org.richfaces.renderkit.ListShuttleRendererBase
                              org.richfaces.renderkit.html.ListShuttleRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class ListShuttleRenderer

extends ListShuttleRendererBase

Renderer for component class org.richfaces.renderkit.html.ListShuttleRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.OrderingComponentRendererBase
`OrderingComponentRendererBase.ControlsHelper, OrderingComponentRendererBase.SelectionState`

Field Summary

Fields inherited from class org.richfaces.renderkit.ListShuttleRendererBase
`FACET_SOURCE_CAPTION, FACET_TARGET_CAPTION, SELECTION_STATE_VAR_NAME, SHUTTLE_HELPERS, TL_HELPERS`

Fields inherited from class org.richfaces.renderkit.OrderingComponentRendererBase
`ATTRIBUTE_CE_ONHEADERCLICK, ATTRIBUTE_CONTROLS_TYPE, CONTROL_TYPE_BUTTON, CONTROL_TYPE_LINK, CONTROL_TYPE_NONE, SHOW_LABELS_ATTRIBUTE_NAME`

Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ListShuttleRenderer()`

Method Summary
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIListShuttle component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIListShuttle component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIListShuttle component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
`boolean` | `getRendersChildren()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`

Methods inherited from class org.richfaces.renderkit.ListShuttleRendererBase
`doDecode, encodeChildren, encodeOneRow, encodeRows, encodeShuttleControlsFacets, encodeSLCaption, encodeSLHeader, encodeTLCaption, encodeTLControlsFacets, encodeTLHeader, getCaptionDisplay, isHeaderExists`

Methods inherited from class org.richfaces.renderkit.OrderingComponentRendererBase
`encodeBegin, encodeCaption, encodeCaption, encodeCaption, encodeControlFacet, encodeHeader, encodeHeader, encodeHeaderFacets, getAsEventHandler, getClassesAsList, getColumnClassesAsJSArray, getConverter, getItemState, getRowClassesAsJSArray, isHeaderExists, renderDefaultControl`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeCaption, encodeCellChildren, encodeRowEvents, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, process`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListShuttleRenderer

    public ListShuttleRenderer()

Method Detail

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Get base component class, targetted for this renderer. Used for check arguments in decode/encode.

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`
  Returns:

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              UIListShuttle component,
                              org.ajax4jsf.renderkit.ComponentVariables variables)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `doEncodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeChildren

    public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 UIListShuttle component,
                                 org.ajax4jsf.renderkit.ComponentVariables variables)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `AbstractRowsRenderer`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            UIListShuttle component,
                            org.ajax4jsf.renderkit.ComponentVariables variables)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.